.navigation {
  position: relative;
  width: 100%;
  z-index: 999;
  @include max-767 {
    display: none;
    position: absolute;
    width: auto;
    height: 0;
    @include transition;
  }

  &.open {
    @include max-767 {
      position: fixed;
      display: block;
      width: 100vw;
      height: 100vh;
      background: rgba($color: $black, $alpha: 0.7);
      overflow-x: hidden;
    }
  }

  &__search-container {
    position: relative;
  }

  &__search {
    display: none;
    background-color: #fff;
    width: 100%;
    padding: 15px;
    border-top: 1px solid #ccc;
    margin-bottom: 0;
    @include max-767 {
      display: block;
      padding: sp-sizing-2(35px) sp-padding(30px, 750px);
    }
  }

  &__list {
    align-items: center;
    justify-content: center;
    background-color: $black;
    margin: 0 auto;
    list-style: none;
    @include display-flex;
    @include max-767 {
      align-items: unset;
      justify-self: unset;
      padding-top: 0;
      margin-top: 0;
      flex-direction: column;
    }

    &--submenu {
      display: block;
      padding: 9px 0 14px 10px;
      @include max-767 {
        column-gap: sp-sizing-2(73px);
        row-gap: sp-sizing-2(40px);
        flex-wrap: wrap;
        margin: 0 sp-sizing-2(11px);
        padding: sp-sizing-2(30px) sp-sizing-2(10px) sp-sizing-2(16px) sp-sizing-2(6px);
        @include display-flex;
      }
    }
  }

  &__arrow-container {
    position: absolute;
    transition: right 300ms ease-in-out;

    &.open {
      @include max-767 {
        right: sp-sizing-2(30px);
      }
    }
  }

  &__item-arrow {
    transition: 300ms ease-in-out;
    width: 10px;
    @include max-767 {
      width: sp-sizing-2(20px);
    }

    &.open {
      transform: rotate(180deg);
    }

    &--submenu {
      width: 7px;
      @include max-767 {
        width: sp-sizing-2(16px);
      }
    }
  }

  &__item {
    display: inline-block;
    color: $yellow;
    padding: 0 17px;
    font-size: 1.6rem;
    @include transition;
    @include max-767 {
      display: block;
      width: 100%;
      margin: 0;
      padding: sp-sizing-2(26px) sp-padding(30px, 750px);
      border-top: 1px solid #cccccc;
      font-size: sp-sizing-2(2.8rem);
    }

    &:hover:not(:nth-child(2)) {
      background: $yellow;
      color: $black;
    }

    &--dropdown {
      position: relative;
      cursor: pointer;
      padding: 8px 17px;
      color: $yellow;
      z-index: 999;
      @include max-767 {
        padding: sp-sizing-2(26px) sp-padding(30px, 750px);
      }

      &::before {
        content: " ";
        display: block;
        position: absolute;
        height: 50px;
        width: 100%;
      }

      &:hover {
        @media screen and (min-width: 1220px) {
          .navigation__submenu-container {
            display: block;
          }

          .navigation__item-arrow {
            transform: rotate(180deg);
          }
        }
      }
    }

    &--submenu {
      color: $black;
      letter-spacing: -1px;
      line-height: 1.4;
      display: inline-block;
      margin: 5px 0 5px 10px;
      &:nth-child(2),
      &:nth-child(5) {
        margin-left: 26px;
      }
      &:nth-child(8) {
        margin-left: 58px;
      }
      @include transition;
      @include max-767 {
        color: $yellow;
        margin: 0;
        flex-basis: 67px;
        &:nth-child(2),
        &:nth-child(5) {
          margin-left: 0;
        }
      }
    }
  }

  &__submenu-container {
    position: absolute;
    display: none;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 15px 0.5px rgba($color: $black, $alpha: 0.2);
    margin-top: 24px;
    width: 257px;
    text-align: start;
    z-index: 5;
    @include max-767 {
      display: none;
      position: relative;
      flex-direction: row;
      background-color: $black;
      width: 100%;
      margin-top: 0;
      top: 5px;
      left: 0;
      gap: 7px;
    }

    &.open {
      display: block;
    }

    &::before {
      content: "▲";
      font-size: 1.5rem;
      position: absolute;
      width: 0;
      height: 0;
      top: -17px;
      left: 20px;
      z-index: 2;
      color: #fff;
      text-shadow: 0 -2px 20px rgba($color: $black, $alpha: 0.2);
      @include max-767 {
        display: none;
      }
    }

    &--mobile {
      display: none;

      &.open {
        @include max-767 {
          display: block;
        }
      }
    }
  }

  &__btn-container {
    display: none;
    @include max-767 {
      position: relative;
      display: block;
      background-color: #fff;
      border-bottom: 1px solid #ccc;
    }
  }

  &__divider {
    position: absolute;
    width: 100%;
    height: 1px;
    top: 45px;
    left: 0;
    background-color: $black;
  }
}
